<?php
session_start();
$for = $_POST['format'];
$idvysetreni = $_POST['idvys'];
$idvys=$_SESSION['vys'];
$poznamka = $_POST['title'];
$popisecek = $_POST['popisek'];
if ($idvysetreni!=null){
$idvys=$idvysetreni;
} 
if ($_SESSION['vrc']==null){
$hledejpr=$_SESSION['smazatpr'];
$hledejrc=$_SESSION['smazatrc'];
$hledejrc_hash=md5($hledejrc);
}

if ($_SESSION['vrc']!=null){
$hledejrc_hash=$_SESSION['vrc'];
$hledejpr=null;
$hledejrc=1;
}
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='menu/login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>

<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <ul class="info">
          <li>Upload</li>
          <li class="tag">Info</li>
               </ul>
<?php
$odkaz="menu/upload/$hledejrc_hash/$idvys/";
$typ= $_FILES["file"]["type"];
$velikost=$_FILES["file"]["size"];
$mb=$velikost/1048576;
//echo $mb;
echo $typ;
if ($mb <= 8){

if ($poznamka!=null){

if ($for == ZIP){
if (($typ == "archive/zip")OR($typ == "application/zip")){
//zde napsat kod pro zip
if ($_FILES["file"]["error"] > 0)
  {
  echo "Error: " . $_FILES["file"]["error"] . "<br />";
  }
  if (file_exists("zip/" . $_FILES["file"]["name"]))
      {
      echo "Ukládaná data již existují. ";
      }
    else
      {
        echo "Nahráno: " . $_FILES["file"]["name"] . "<br />";
//  echo "Typ: " . $_FILES["file"]["type"] . "<br />";
  echo "Velikost: " . ($_FILES["file"]["size"] / 1024) . " Kb<br />";
      move_uploaded_file($_FILES["file"]["tmp_name"], "zip/" . $_FILES["file"]["name"]);
      //echo "Místo uložení: " . "upload/$hledejrc_hash/" . $_FILES["file"]["name"];
      $nazev=$_FILES["file"]["name"];
      $zip = new ZipArchive;
$res = $zip->open("zip/$nazev");
if ($res === TRUE) {
       $zip->extractTo("menu/upload/$hledejrc_hash/$idvys/");
 //      $zip->extractTo("/upload/$hledejrc_hash/");
    $zip->close();
    echo 'Soubor se automaticky rozbalil';
    echo "<BR />";
// smazani zipka, ktere se ulozilo do prozatimniho adresare
$file = "zip/$nazev";
// set up basic connection
$conn_id = ftp_connect("ftp.johny.cz");
$ftp_user_name="marvik.johny.cz";
$ftp_user_pass="marvik30";
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// try to delete $file
if (ftp_delete($conn_id, $file)) {
 echo "Přechodný zip adresář byl odstraněn. \n";
} else {
 echo "Soubor zip zůstal v přechodném adresáři. \n";
}

// close the connection
ftp_close($conn_id);
    //konec smazani zipka
} else {
    echo 'Rozbalení se nezdařilo';
}
//zip název+popis
do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
$vysledek = MySQL_Query("INSERT INTO foto (Nazev, Odkaz, Popis) VALUES ('$poznamka', '$odkaz', '$popisecek')");
  if (!$vysledek):
		echo "Objevil se problém se zápisem do databáze.<BR>\n";
		break;
	endif;
MySQL_Query("UPDATE vysetreni SET dokumentace='včetně dokumentace' WHERE id_vysetreni='$idvys'");
	MySQL_Close($spojeni);    
} while (false);
//konec popis
}
}

if (($typ != "archive/zip" AND $typ != "application/zip") AND $for == ZIP){
echo "Byl zvolen formát ZIP, prosím přidejte soubor ve formátu ZIP";
}

if ($typ != "application/octet-stream" AND $for == NII){
echo "Byl zvolen formát NII, prosím přidejte soubor ve formátu NII";
}
}




if ($for == NII){
if ($typ == "application/octet-stream"){
if ($_FILES["file"]["error"] > 0)
  {
  echo "Error: " . $_FILES["file"]["error"] . "<br />";
  }
  if (file_exists("menu/upload/$hledejrc_hash/$idvys/" . $_FILES["file"]["name"]))
      {
      echo "Ukládaná data již existují. ";
      }
    else
      {
        echo "Nahráno: " . $_FILES["file"]["name"] . "<br />";
//  echo "Typ: " . $_FILES["file"]["type"] . "<br />";
  echo "Velikost: " . ($_FILES["file"]["size"] / 1024) . " Kb<br />";
      move_uploaded_file($_FILES["file"]["tmp_name"], "menu/upload/$hledejrc_hash/$idvys/" . $_FILES["file"]["name"]);
      //echo "Místo uložení: " . "upload/$hledejrc_hash/" . $_FILES["file"]["name"];
//NII+popis+nazev
        do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
$vysledek = MySQL_Query("INSERT INTO foto (Nazev, Odkaz, Popis) VALUES ('$poznamka', '$odkaz', '$popisecek')");
  if (!$vysledek):
		echo "Objevil se problém se zápisem do databáze.<BR>\n";
		break;
	endif;
 MySQL_Query("UPDATE vysetreni SET dokumentace='včetně dokumentace' WHERE id_vysetreni='$idvys'");
	MySQL_Close($spojeni);    
} while (false);      
//konec popis      
      }
}

}

 }
 if ($poznamka==null){
               echo "Nevyplnili jste název. Prosím vyplňte i název souboru.";
                }
                }
 if ($mb>=8){ 
echo "Nahrávaný soubor je příliš velký."; 
 }
               
   
?> 


      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
           <li><a href="menu/mysql.php">Zpět do hlavního menu</a></li>
            <li><a href="menu/upravit.php">Zpět na pacienta</a></li>
          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
